﻿
:root {
    --text-font: "DM Sans", sans-serif;
    --text-color: #555555;
    --header-font: "IBM Plex Sans", sans-serif;
    --header-color: #444444;
    --link-text-color: #2299A4;
    --link-text-hover-color: #4a90e2;
    --section-divider-color: #e2ebef;
    --placeholder-text-color: #999999;
    --disabled-text-color: #999999;
    --light-blue: #E2FDFF;
}
/* General styles */

/*
body
{
	margin: 0;
}
*/



/*Font Sizing Things*/
.fontSize12px{
    font-size: 12px
}

.fontSize14px {
    font-size: 14px
}

.fontSize16px {
    font-size: 16px
}

.fontSize18px {
    font-size: 18px
}
.fontSize20px {
    font-size: 20px
}

.fontSize24px {
    font-size: 24px
}

.fontSize32px {
    font-size: 32px
}


.boldText {
    font-weight: bold;
}

.lineHeightOne {
    line-height: 1; 
}

.lineHeightOnePointTwo {
    line-height: 1.2
}

.lineHeightOnePointFive {
    line-height: 1.5
}


a {
    color: var(--link-text-color);
    text-decoration: none;
}

    a:hover {
        color: var(--link-text-hover-color);
        text-decoration: none;
    }

/* Placeholders */

input::-moz-placeholder {
    color: var(--placeholder-text-color);
    opacity: 1;
    font-weight: normal;
}

input:-ms-input-placeholder {
    color: var(--placeholder-text-color);
    font-weight: normal;
}

input::-webkit-input-placeholder {
    color: var(--placeholder-text-color);
    font-weight: normal;
}

/* Nav arrows */

.spcView-navPrev,
.spcView-navNext {
    position: relative;
    padding: 0 5px;
}

/*.spcView-navPrev::before,
.spcView-navNext::after {
    content: " ";
    position: absolute;
    top: .1em;
    color: transparent;
    background-color: transparent;
    border: .5em solid transparent;
    border-radius: 2px;
}*/

.spcView-navPrev::before {
    left: -1em;
    border-right: .5em solid var(--link-text-color);
}

.spcView-navNext::after {
    right: -1em;
    border-left: .5em solid var(--link-text-color);
}

.spcView-navPrev:hover::before {
    border-right: .5em solid var(--link-text-hover-color);
}

.spcView-navNext:hover::after {
    border-left: .5em solid var(--link-text-hover-color);
}

.spcView-disabled,
.spcView-disabled:hover {
    color: var(--disabled-text-color);
}

.spcView-disabled::before,
.spcView-disabled:hover::before {
    border-right-color: var(--disabled-text-color);
}

.spcView-disabled::after,
.spcView-disabled:hover::after {
    border-left-color: var(--disabled-text-color);
}

.spcView-header {
    color: var(--header-color);
    margin-bottom: 8px;
}

/* Main structure */



.spcView-allData {
    display: flex;
    flex-wrap: wrap;
    margin: 0 auto;
    font-size: 15px;
    font-family: var(--text-font);
    font-size: 15px;
    color: var(--text-color);
    padding: 32px 0;
}

.spcView-allData nav a {
    white-space: nowrap;
    
}



.spcView-mediaHalf {
    width: 50%;
    padding-right: 20px;
}

.spcView-60Percent {
    width: 60%;
    border-right: 3px #f5f5f5 solid;
    padding: 0 16px 24px 0;
}

.spcView-40Percent {
    width:40%;
    padding: 0 0 24px 16px;
}

.spcView-transcriptHalf {
    width: 50%;
    padding-left: 20px;
    border-left: 2px solid var(--section-divider-color);
}

/* spcView-MediaHalf */
.spcView-findInVideo {
    flex: 1;
    text-align: left;
}

.spcView-link {
    font-family: var(--header-font);
    font-size: 14px;
    font-weight: bold;
    color: var(--link-text-color);
}

.spcView-link a  {
    cursor: pointer;
}


.spcView-videoTitle {
    margin: 0 0 8px 0;
    font-family: sans-serif;
/*    Need to change this*/
    font-size: 24px;
    font-weight: 600;
    color: #111;

}

.authorName {
    font-family: var(--header-font);
    font-size: 16px;
    color: #aaaaaa;
    cursor: pointer;
}



.spcView-videoControls {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: baseline;
    margin: 3px 0 10px
}


.spcView-mainVideoPlayer {
    height: auto;
}

.spcView-mainVideo {
    width: 100%;
    height: 100%;
    border-radius: 16px;
    margin-bottom: 16px;
}

.spcView-videoSpeed {
    font-size: 12px; /* This slightly small font size allows the entire line to fit in the width of the smallest-supported device width */
    white-space: nowrap; /* Keeps the speeds from wrapping */
}

.spcView-videoSpeed .speed {
    padding-right: 10px;
}

.spcView-videoNavLinks {
    display: flex;
    align-items: baseline;
    justify-content: space-between;
    width: 100%;
    margin: 0;
    padding: 0;
    list-style: none;
}

.spcView-videoDateAuthor {
    margin-top: 15px;
}

/* spcView-TranscriptHalf */

.spcView-transcriptWrapper {
    display: flex;
    flex-direction: column;
    height: 100%;
    padding: 0;
    border: none;
}

.spcView-transcriptHeader {
    margin-bottom: 5px;
    font-size: 12px;
    font-weight: bold;
    display:none;
}

.spcView-share  {
    flex: 1;
    text-align: right;
    white-space: nowrap;
}


/* I'm adding in CSS for the buttons here */
.actionButton {
    padding: 4px 12px;
    border: none;
    background-color: var(--light-blue);
    color: var(--link-text-color);
    border-radius: 100px;
}

    .actionButton:hover {
        background-color: var(--link-text-color);
        color: #fff;
    }




/*This is the CSS for the dropdown button that selects the speed of the video*/
.dropdown-content {
    background-color: #fff;
    display: none;
    position: absolute;
    border: 1px solid #eee;
    border-radius: 4px;
    z-index: 10; 
}

.column1ForSpeed {
    width: 100%;
    flex-wrap: wrap;
}

.column2ForSpeed {
    width: 100%;
    flex-wrap: wrap;
}

.linkDiv {
    margin: 8px 4px;
    text-align: center;
}



.dropdownSpeed {
    position: relative;
}

.show {
    display: flex !important;
    justify-content: center;
    align-items: center;
}

/*Highlight Popup text. This is what pops up when a user highlights some sort of text*/

.highlightPopup {
    background-color: #333;
    position: absolute;
    padding: 8px 0px;
    display: none;
    justify-content: space-around;
    border-radius: 8px;
    align-content: center;
    top: 150px;
    left:250px;
   
}

.highlightPopupLink {
    color: #fff;
    margin: 0 16px;
    font-size: 16px;
    cursor: pointer;
}

.highlightPopupLink:hover {
    color: #ddd;
}

.popupLine {
    width: 2px;
    height: 16px;
    background-color: #fff;
    border-radius: 8px; 
}


.spcView-transcriptControls {
    flex: 0 1 auto;
    display: flex;
    flex-wrap: nowrap;
    align-items: baseline;
    margin-bottom: 15px;
}

.spcView-findText {
    width: 100%;
    max-width: 200px;
    padding: 8px 12px;
    border: #DADADA solid 1px;
    border-radius: 4px;
}

.spcView-transcriptControls .spcView-findLink {
    margin-left: 5px;
}

.spcView-transcriptControls .spcView-navPrev {
    margin-left: 25px;
}

.spcView-transcriptControls .spcView-navNext {
    margin-right: 25px;
}

.spcView-inVideo {
    white-space: nowrap;
}

.spcView-transcriptTextDiv {
    flex: 1 1 auto;
    margin: 0;
    padding: 0;
    overflow: auto;
    position: relative;
}

.spcView-transcriptText {
    height: 100%;
    margin: 0;
    padding: 0 10px 0 0;
    font-size:1.1em;
}

.spcView-transcriptSummaryText
{
    font-size:1.1em;
}

.spcView-transcriptSummaryWrapper
{
    width: 100%;
    overflow: auto;
    min-height: 50%;
    margin-bottom: 30px;
}

.spcView-selectControls {
    display: flex;
    gap: 0 20px;
    flex-wrap: wrap;
    align-items: baseline;
    justify-content: space-between;
    margin-top: 10px;
}

.spcView-selectControls > * {
    display: flex;
    gap: 0 8px;
    margin-top: 5px;
}

.spcView-selectControls > div  {
    position: relative;
    margin-top: 5px;
    white-space: nowrap;
}

.spcView-clipListWrapper {
    width: 100%;
    background-color: #ffffff;
    border: 3px #f5f5f5 solid;
    border-radius: 8px;
}

.spcView-clipListHeader{
    margin: -7px 0 8px;
}

.spcView-clipList {
    display: flex; /* fallback from grid */
    flex-wrap: wrap; /* fallback from grid */
    justify-content: left; /* fallback from grid */
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(180px, 1fr));
/*    gap: 15px;*/
}

.spcView-navOpen, 
.spcView-navClose {
    padding-right: 16px;
}




.spcView-navOpen:after, 
.spcView-navClose:after {
    content: " ";
    position: absolute;
    right: 0;
    color: transparent;
    background-color: transparent;
    border: .5em solid transparent;
    border-radius: 2px;
}

.spcView-navOpen::after  {
    top: .5em;
    border-top: .5em solid var(--link-text-color);
}

.spcView-navClose::after  {
    bottom: 0.3em;
    border-bottom: .5em solid var(--link-text-color);
}

.spcView-navOpen:hover::after {
    border-top: .5em solid var(--link-text-hover-color);
}

.spcView-navClose:hover::after  {
    border-bottom: .5em solid var(--link-text-hover-color);
}

.spcView-hidden  {
    display: none;
}

.spcView-clip {
    flex-basis: 150px;
    fallback from grid max-width: 235px;
    font-size: 12px;
    padding: 16px;
    border-right: 3px #f5f5f5 solid;
}

.spcView-clipImage {
    width: 100%;
    border-radius: 4px;
}

/*.spcView-clipTitle {
    max-height: 3.6em;
    line-height: 1.2em;
    margin-top: 5px;
    overflow: hidden;
}*/

.spcView-clipTitle {
    font-size: 14px;
    font-weight: bold;
}

@media only screen and (max-width: 727px) {
    .spcView-allData {
        flex-direction: column;
    }

    .spcView-mediaHalf,
    .spcView-transcriptHalf {
        width: 100%;
        padding: 0;
        border: none;
    }

    .spcView-transcriptHalf {
        margin-top: 10px;
        padding-top: 15px;
        border-top: 2px solid var(--section-divider-color);
    }
}

@media only screen and (max-width: 360px) {
    .spcView-transcriptControls .spcView-navPrev,
    .spcView-transcriptControls .spcView-navNext {
        padding: 0 3px;
    }
    .spcView-clipList {
        grid-template-columns: repeat(auto-fit, minmax(110px, 1fr));
    }

    .spcView-transcriptControls .spcView-navPrev {
        margin-left: 15px;
    }

    .spcView-transcriptControls .spcView-navNext {
        margin-right: 15px;
    }
    .spcView-talkHighlight {
        margin-left: 10px; 
    }

}

.highlightLine {
    padding: 5px;
}

    .highlightLine:hover {
        background-color: seashell;
    }

.bold {
    font-weight: bold;
}

.boxsizingBorder {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

textarea {
    border: 1px solid #999999;
    width: 100%;
    margin: 5px 0;
    padding: 3px;
}

em {
    font-weight: 700;
    background-color: #0dcaf0;
    padding: 0 2px;
}

.source {
    font-size: small;
}

.title {
    font-size: large;
    font-weight: bold;
}

.hit {
    padding-bottom: 10px;
    padding-top: 10px;
    border-bottom: 1px solid black;
}

.transcription {
    padding-left: 30px;
}

.hitHighlight {
    background-color: yellow;
}

.handCursor {
    cursor: pointer;
}

.origTranHi {
    background-color: yellow;
}

.curSearchPageLink {
    padding-right: 10px;
    padding-left: 10px;
    background-color: black;
    text-align: center;
    color: white;
    cursor: pointer;
}

.searchPageLink {
    padding-right: 10px;
    padding-left: 10px;
    text-align: center;
    cursor: pointer;
}

.hb {
    font-weight: 700;
    background-color: #0dcaf0;
    padding: 0 2px;
}

.browseRow {
    padding-bottom: 10px;
}

/*h1, h2, h3, h4, h5, h6 {
    font-family: "IBM Plex Sans", sans-serif;
}*/

.rowSpace {
    padding-bottom: 5px;
}

.transcriptHighlight {
    background-color: yellow;
}

.transcriptHit {
    font-weight:bolder;
}

.highlightEntry {
    background-color: #F2F2F2 !important;
}

.resp-sharing-button__link,
.resp-sharing-button__icon {
    display: inline-block
}

.resp-sharing-button__link {
    text-decoration: none;
    color: #fff;
    margin: 0 0 12px 0;
    width: 100%;
    background-color: #f6f6f6
}

.resp-sharing-button {
    border-radius: 5px;
    transition: 25ms ease-out;
    padding: 12px;
    font-family: Helvetica Neue,Helvetica,Arial,sans-serif;
    font-size: 16px;
    line-height: 16px;
    font-weight: 600;
    align-items: center;
}

.resp-sharing-button:hover {
    color: #fff;
}


.resp-sharing-button__icon svg {
    width: 24px;
    height: 24px;
    margin-right: 16px;
    vertical-align: top
}

.resp-sharing-button--small svg {
    margin: 0 16px 0 0;
    vertical-align: middle
}

/* Non solid icons get a stroke */
.resp-sharing-button__icon {
    stroke: #fff;
    fill: none
}

/* Solid icons get a fill */
.resp-sharing-button__icon--solid,
.resp-sharing-button__icon--solidcircle {
    fill: #fff;
    stroke: none
}

.resp-sharing-button--twitter {
    background-color: #55acee
}

    .resp-sharing-button--twitter:hover {
        background-color: #2795e9
    }

.resp-sharing-button--pinterest {
    background-color: #bd081c
}

    .resp-sharing-button--pinterest:hover {
        background-color: #8c0615
    }

.resp-sharing-button--facebook {
    background-color: #3b5998
}

    .resp-sharing-button--facebook:hover {
        background-color: #2d4373
    }

.resp-sharing-button--tumblr {
    background-color: #35465C
}

    .resp-sharing-button--tumblr:hover {
        background-color: #222d3c
    }

.resp-sharing-button--reddit {
    background-color: #5f99cf
}

    .resp-sharing-button--reddit:hover {
        background-color: #3a80c1
    }

.resp-sharing-button--google {
    background-color: #dd4b39
}

    .resp-sharing-button--google:hover {
        background-color: #c23321
    }

.resp-sharing-button--linkedin {
    background-color: #0077b5
}

    .resp-sharing-button--linkedin:hover {
        background-color: #046293
    }

.resp-sharing-button--email {
    background-color: #777
}

    .resp-sharing-button--email:hover {
        background-color: #5e5e5e
    }

.resp-sharing-button--xing {
    background-color: #1a7576
}

    .resp-sharing-button--xing:hover {
        background-color: #114c4c
    }

.resp-sharing-button--whatsapp {
    background-color: #25D366
}

    .resp-sharing-button--whatsapp:hover {
        background-color: #1da851
    }

.resp-sharing-button--tiktok {
    background-color: #111
}

    .resp-sharing-button--tiktok:hover {
        background-color: #000
    }

.resp-sharing-button--hackernews {
    background-color: #FF6600
}

    .resp-sharing-button--hackernews:hover, .resp-sharing-button--hackernews:focus {
        background-color: #FB6200
    }

.resp-sharing-button--vk {
    background-color: #507299
}

    .resp-sharing-button--vk:hover {
        background-color: #43648c
    }

.resp-sharing-button--facebook {
    background-color: #3b5998;
    border-color: #3b5998;
}

    .resp-sharing-button--facebook:hover,
    .resp-sharing-button--facebook:active {
        background-color: #2d4373;
        border-color: #2d4373;
    }

.resp-sharing-button--twitter {
    background-color: #55acee;
    border-color: #55acee;
}

    .resp-sharing-button--twitter:hover,
    .resp-sharing-button--twitter:active {
        background-color: #2795e9;
        border-color: #2795e9;
    }

.resp-sharing-button--pinterest {
    background-color: #bd081c;
    border-color: #bd081c;
}

    .resp-sharing-button--pinterest:hover,
    .resp-sharing-button--pinterest:active {
        background-color: #8c0615;
        border-color: #8c0615;
    }

.resp-sharing-button--linkedin {
    background-color: #0077b5;
    border-color: #0077b5;
}

    .resp-sharing-button--linkedin:hover,
    .resp-sharing-button--linkedin:active {
        background-color: #046293;
        border-color: #046293;
    }

.resp-sharing-button--whatsapp {
    background-color: #25D366;
    border-color: #25D366;
}

    .resp-sharing-button--whatsapp:hover,
    .resp-sharing-button--whatsapp:active {
        background-color: #1DA851;
        border-color: #1DA851;
    }

.highlighted {
    background-color: yellow;
}

.highlight {
    background-color: #fff34d;
    -moz-border-radius: 5px; /* FF1+ */
    -webkit-border-radius: 5px; /* Saf3-4 */
    border-radius: 5px; /* Opera 10.5, IE 9, Saf5, Chrome */
    -moz-box-shadow: 0 1px 4px rgba(0, 0, 0, 0.7); /* FF3.5+ */
    -webkit-box-shadow: 0 1px 4px rgba(0, 0, 0, 0.7); /* Saf3.0+, Chrome */
    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.7); /* Opera 10.5+, IE 9.0 */
}

.highlight {
    padding: 1px 4px;
    margin: 0 -4px;
}

.talkingPoint {
    background-color: lightblue;
}

.spcView-backCollectionLink {
    text-align: center;
}


/*These are modal changes added by Rob*/

.modalTitle {
    font-size: 24px;
    font-weight: 700;
}

.modalHeader {
    display: flex;
    justify-content: space-between;
    margin: 0 0 24px 0;
}

.modalFooter {
    display: flex;
    justify-content: space-between;
}

.noBottomBorder {
    border-bottom: none !important;
}

.morePadding {
    padding: 24px 32px !important;
}

.emailThingerContainer {
    margin: 0 0 16px 0;
}

.emailThinger {
    padding: 16px 8px;
    font-size: 16px;
    background-color: #fff;
    color: #111;
    border: #DADADA solid 1px;
    border-radius: 4px;
}

.emailThingerContainer div {
    display: flex;
    justify-content: center;
}

.copyTextLink {
}

.textInVideo {
    display: flex;
    justify-content: space-between;
    margin: 8px 0px 16px 0px;
}

.closeButton {
    width: 24px;
    height: 24px;
    display; flex;
    justify-content: center;
    align-items: center;
}

.closeButton i{
    width: 100%;
    height: 100%;
    font-size: 24px;
    font-weight: 400;
}

.emailButtonThinger {
    padding: 12px 16px;
    background-color: var(--link-text-color);
    border-radius: 4px;
    font-size: 16px;
    font-weight: 700;
    color: #fff;
}

.emailButtonThinger:hover {
    background-color: #21A31E;
    cursor:pointer;
}

.marginRight16px {
    margin-right: 16px;
}

.marginBottom12px {
    margin-bottom: 12px;
}

.marginBottom16px {
    margin-bottom: 16px;
}

.hiddenThing {
    display: none;
}

@media only screen and (max-width: 727px) {
    .spcView-60Percent {
        width: 100%;
        padding: 0px;
        border-right: none;
        margin-bottom: 24px;
    }

    .spcView-40Percent {
        width: 100%;
        padding: 0px;
    }

    .spcView-allData {
        padding: 24px !important;
    }

    .spcView-mainVideo {
        margin: 0;
    }

    .spcView-selectControls {
        gap: 0;
    }
}




#topSearchHeader {
    font-size: 18px;
}

.createAccountCTA {
    display: flex;
    justify-content: center;
    align-content: center;
    flex-wrap: wrap;
    border: none;
    border-radius: 8px;
    padding: 56px 0;
    background-color: var(--light-blue);
}

.createAccountCTA-buttonDiv {
    width: 100%;
    text-align: center;s
}

.ctaH3 h3 {
    font-size: 24px;
    font-weight: 700;
    text-align: center; 
}

.ctaH3 p {
    font-size: 20px;
    text-align: center;
    margin-bottom: 16px;
}

.ourButtonColor {
    background-color: var(--link-text-color) !important;
    border: none !important;
}

.ourButtonColor:hover {
    background-color: var(--link-text-hover-color) !important;
}

@media only screen and (max-width: 480px) {
    .ctaH3 p {
        font-size: 16px;
        line-height: 18px
    }

    .createAccountCTA {
        padding: 32px 16px;
        margin-top: 32px;
    }

    .morePadding {
        padding: 24px !important;
    }
}

.modal-dialog {
    margin: 24px !important;
}

.secondaryButton {
    border: 2px solid var(--link-text-color);
    color: var(--link-text-color);
    background-color: #fff !important; 
}

.secondaryButton:hover {
    border-color: var(--link-text-hover-color);
    color: var(--link-text-hover-color);
    text-shadow: none;
}

.primaryButton {
    background-color: var(--link-text-color);
    color: #fff;
    border: none !important;
}

.primaryButton:hover {
    background-color: var(--link-text-hover-color);
}

.minWidth320px {
    min-width: 320px;
}

.placeholderVideo {
    width: 100%;
    height: 240px;
    border: 2px dashed #eee;
}

.spcView-howToClip {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 32px;
    width: 100%;
    border: solid 3px #f5f5f5;
    border-radius: 8px
}

.textHowToClip {
    padding: 16px;
    max-width: 500px;
}

.howToClipIMage {
    max-width: 320px;
}

@media only screen and (max-width: 580px) {
    .spcView-howToClip  {
        flex-wrap: wrap;
    }

    
}

.sumParent {
    display:flex;
    flex-flow:column wrap;
    height:260px;
}

.sumChild {
    cursor: pointer;
    color: #2575C3;
}

.topSearchHeaderStates {
    font-size: 32px !important;
    text-align: center;
    margin: 64px 0;
    color: #000;
}

.topSubHeaderStates {
    font-size: 20px;
    color: #000;
    padding-top:20px;
}

.searchresultsStates {
    padding: 24px;
    background-color: #eee;
    border-radius: 8px;
}

.summaryHeaderStates {
    background: transparent !important;
    text-align: center;
    margin-bottom: 16px;
    background-color: transparent;
}

/***** My Account Page ******/
.box--lightGrey {
    width: 100%;
    height: 240px;
    background-color: #f5f5f5;
    border-radius: 8px;
}